version: "3.6"

services:
  backend:
    build:
      context: ./backend
      dockerfile: Dockerfile
    container_name: tcmonline-backend
    restart: always
    ports:
      - "8181:8080"
    volumes:
      - "tcm-upload:/home/tcmonline/uploadPath" # 持久化上传的文件
    environment:
      - "JAVA_OPTS=-Duser.language=zh -XX:+UseG1GC"
      - "TZ=Asia/Shanghai"
      - "snyu.profile=/home/tcmonline/uploadPath"

volumes:
  tcm-upload:
